Search or ask Docker

Ping

GET /_ping — Docker Engine API 1.57.

View Markdown
GET/_ping
This is a dummy endpoint you can use to test if the server is accessible.

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

No parameters are declared.

Request and responses

Response 200

no error

text/plain

Headers

Api-Version

Max API Version the server supports

{
  "description": "Max API Version the server supports",
  "schema": {
    "type": "string"
  }
}
Builder-Version

Default version of docker image builder The default on Linux is version "2" (BuildKit), but the daemon can be configured to recommend version "1" (classic Builder). Windows does not yet support BuildKit for native Windows images, and uses "1" (classic builder) as a default. This value is a recommendation as advertised by the daemon, and it is up to the client to choose which builder to use.

{
  "description": "Default version of docker image builder\n\nThe default on Linux is version \"2\" (BuildKit), but the daemon\ncan be configured to recommend version \"1\" (classic Builder).\nWindows does not yet support BuildKit for native Windows images,\nand uses \"1\" (classic builder) as a default.\n\nThis value is a recommendation as advertised by the daemon, and\nit is up to the client to choose which builder to use.\n",
  "schema": {
    "default": "2",
    "type": "string"
  }
}
Cache-Control

{
  "schema": {
    "default": "no-cache, no-store, must-revalidate",
    "type": "string"
  }
}
Docker-Experimental

If the server is running with experimental mode enabled

{
  "description": "If the server is running with experimental mode enabled",
  "schema": {
    "type": "boolean"
  }
}
Pragma

{
  "schema": {
    "default": "no-cache",
    "type": "string"
  }
}
Swarm

Contains information about Swarm status of the daemon, and if the daemon is acting as a manager or worker node.

{
  "description": "Contains information about Swarm status of the daemon,\nand if the daemon is acting as a manager or worker node.\n",
  "schema": {
    "default": "inactive",
    "enum": [
      "inactive",
      "pending",
      "error",
      "locked",
      "active/worker",
      "active/manager"
    ],
    "type": "string"
  }
}

Type: string

All schema constraints and annotations
{
  "example": "OK",
  "type": "string"
}

Schema example

OK

Response 500

server error

application/json

Headers

Cache-Control

{
  "schema": {
    "default": "no-cache, no-store, must-revalidate",
    "type": "string"
  }
}
Pragma

{
  "schema": {
    "default": "no-cache",
    "type": "string"
  }
}

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

Complete operation contract
{
  "description": "This is a dummy endpoint you can use to test if the server is accessible.",
  "operationId": "SystemPing",
  "responses": {
    "200": {
      "content": {
        "text/plain": {
          "schema": {
            "example": "OK",
            "type": "string"
          }
        }
      },
      "description": "no error",
      "headers": {
        "Api-Version": {
          "description": "Max API Version the server supports",
          "schema": {
            "type": "string"
          }
        },
        "Builder-Version": {
          "description": "Default version of docker image builder\n\nThe default on Linux is version \"2\" (BuildKit), but the daemon\ncan be configured to recommend version \"1\" (classic Builder).\nWindows does not yet support BuildKit for native Windows images,\nand uses \"1\" (classic builder) as a default.\n\nThis value is a recommendation as advertised by the daemon, and\nit is up to the client to choose which builder to use.\n",
          "schema": {
            "default": "2",
            "type": "string"
          }
        },
        "Cache-Control": {
          "schema": {
            "default": "no-cache, no-store, must-revalidate",
            "type": "string"
          }
        },
        "Docker-Experimental": {
          "description": "If the server is running with experimental mode enabled",
          "schema": {
            "type": "boolean"
          }
        },
        "Pragma": {
          "schema": {
            "default": "no-cache",
            "type": "string"
          }
        },
        "Swarm": {
          "description": "Contains information about Swarm status of the daemon,\nand if the daemon is acting as a manager or worker node.\n",
          "schema": {
            "default": "inactive",
            "enum": [
              "inactive",
              "pending",
              "error",
              "locked",
              "active/worker",
              "active/manager"
            ],
            "type": "string"
          }
        }
      }
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error",
      "headers": {
        "Cache-Control": {
          "schema": {
            "default": "no-cache, no-store, must-revalidate",
            "type": "string"
          }
        },
        "Pragma": {
          "schema": {
            "default": "no-cache",
            "type": "string"
          }
        }
      }
    }
  },
  "summary": "Ping",
  "tags": [
    "System"
  ]
}